from django.template.loaders.app_directories import Loader as AppDirLoader


class GenericExtLoader(AppDirLoader):
    '''Allows specifying the common file extension for templates'''
    def get_template_sources(self, template_name):
        if not template_name.endswith('.html'):
            template_name = template_name + '.html'
        return super().get_template_sources(template_name)
